## ros-lunar-video-stream-opencv 1.1.5

=== debian/changelog ===
ros-lunar-video-stream-opencv (1.1.5-0xenial) xenial; urgency=high

  * Exit the program if we reach the end of the video when playing a video file (Issue #23)
  * Throw exception when a frame cant be captured (Issue #23, PR #27)
  * Add loop_video parameter for videofiles (PR #24)
  * Contributors: Sammy Pfeiffer, iory

 -- Sammy Pfeiffer <Sammy.Pfeiffer@student.uts.edu.au>  Thu, 13 Dec 2018 13:00:00 -0000

ros-lunar-video-stream-opencv (1.1.4-0xenial) xenial; urgency=high

  * Fix bug, cv::Mat needs to be cloned otherwise all entries in the queue will point to the same frame. This resulted in always returning the last received frame.
  * Contributors: Axel13fr

 -- Sammy Pfeiffer <Sammy.Pfeiffer@student.uts.edu.au>  Sun, 22 Jul 2018 14:00:00 -0000

ros-lunar-video-stream-opencv (1.1.3-0xenial) xenial; urgency=high

  * Fixing ever growing memory when using boost::sync_queue (Issue #20) by reimplementing thread safety of frames queue using std classes. boost::sync_queue is buggy (keeps on allocating memory over time).
  * Contributors: Axel13fr

 -- Sammy Pfeiffer <Sammy.Pfeiffer@student.uts.edu.au>  Tue, 10 Jul 2018 14:00:00 -0000

ros-lunar-video-stream-opencv (1.1.2-0xenial) xenial; urgency=high

  * Fix empty frame id in camera info header when providing a calibration file.
  * Contributors: tim-fan

 -- Sammy Pfeiffer <Sammy.Pfeiffer@student.uts.edu.au>  Mon, 11 Jun 2018 14:00:00 -0000

ros-lunar-video-stream-opencv (1.1.1-0xenial) xenial; urgency=high

  * Fix error of using camera_name instead of identifying the type of the provider
    to check when the provider is a video file, and act accordingly in the producer thread
  * Prevent locking when ROS SIGINT arrives and the image queue is empty.
  * Added rate limiting to camera_fps_rate also if videofile is used as input
  * Contributors: Andrea Ranieri, Avio, Sam Pfeiffer, Sammy Pfeiffer

 -- Sammy Pfeiffer <Sammy.Pfeiffer@student.uts.edu.au>  Thu, 19 Apr 2018 14:00:00 -0000

ros-lunar-video-stream-opencv (1.1.0-0xenial) xenial; urgency=high

  * Update to use thread to read.
    Update to new parameters.
    Update description.
  * Fixed image flip bug, the flip implementation is inconsistent with OpenCV API.
  * Contributors: Sammy Pfeiffer, Zihan Chen, kantengri

 -- Sammy Pfeiffer <Sammy.Pfeiffer@student.uts.edu.au>  Thu, 22 Mar 2018 13:00:00 -0000

ros-lunar-video-stream-opencv (1.0.2-0xenial) xenial; urgency=high



 -- Sammy Pfeiffer <Sammy.Pfeiffer@student.uts.edu.au>  Sun, 13 Nov 2016 13:00:00 -0000

ros-lunar-video-stream-opencv (1.0.1-0xenial) xenial; urgency=high

  * Releasable version
  * Contributors: Sammy Pfeiffer, Stefano Probst, Wiebe Van Ranst

 -- Sammy Pfeiffer <Sammy.Pfeiffer@student.uts.edu.au>  Sun, 13 Nov 2016 13:00:00 -0000
