=== debian/control ===
Source: ros-lunar-video-stream-opencv
Section: misc
Priority: extra
Maintainer: Sammy Pfeiffer <Sammy.Pfeiffer@student.uts.edu.au>
Build-Depends: debhelper (>= 9.0.0), ros-lunar-camera-info-manager, ros-lunar-catkin, ros-lunar-cv-bridge, ros-lunar-image-transport, ros-lunar-roscpp, ros-lunar-rospy, ros-lunar-sensor-msgs
Homepage: http://www.ros.org/wiki/video_stream_opencv
Standards-Version: 3.9.2

Package: ros-lunar-video-stream-opencv
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-lunar-camera-info-manager, ros-lunar-cv-bridge, ros-lunar-image-transport, ros-lunar-roscpp, ros-lunar-rospy, ros-lunar-sensor-msgs
Description: The video_stream_opencv package contains a node to publish a video stream (the protocols that opencv supports are supported, including rtsp, webcams on /dev/video and video files) in ROS image topics, it supports camera info and basic image flipping (horizontal, vertical or both) capabilities, also adjusting publishing rate.
